@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap');

:root{
   --padding-container: 100px 0;
   --color--title: #001a49;


}

body{

    font-family: 'poppins', sans-serif;

}


.container{
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    padding: var(--padding-container);


}

.hero{
     width: 100;
     height: 100vh;
     min-height: 600px;
     max-height: 800px;
     position: relative;
     display: grid;
     grid-template-rows: 100px 1fr;
     color: #fff;
}


.hero::before{
     content: "";
     position: absolute;
     top: 0;
     left: 0;
     width: 100%;
     height: 100%;
     background-image: linear-gradient(180deg, #0000008c 0%,#0000008c 100%), url('../image/face6.jpg');
     background-size: cover;
     clip-path: polygon(0 0, 100% 0, 100% 80%, 50% 95%, 0 80%);
     z-index: -1;

 /*nav*/
}

.nav{
    --padding-container:0;
    height:  100%;
    display:  flex;
    align-items: center;
}

.nav__title{
    font-weight: 300;
}


.nav__link{
    margin-left: auto;
    padding: 0;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: max-content;
    gap: 2em;
}


.nav__items{
    list-style: none;
}



.nav__links{
    color: #fff;
    text-decoration: none;
}

.nav__menu{
    margin-left: auto;
    cursor: pointer;
    display: none;
}



.nav__img{
    display: block;
    width:30px;
}


.nav__close{
    display:  var(--show, none);
}



/*min27*/

/*hero container*/

.hero__container{
   max-width:  800px;
   display: grid;
   --paddin-container:0;
   display: grid;
   grid-auto-rows: max-content;
   align-content: center;
   gap: 1em;
   padding-bottom: 100px;
   text-align: center;

}

.hero__title{
    font-size: 3rem;
}

.hero__paragraph{
    margin-bottom:  20px;
}

.cta{
    display: inline-block;
    background-color: #2091f9;
    justify-self: center;
    color: #fff;
    text-decoration: none;
    padding: 13px 20px;
    border-radius: 30px;
}

/* About */

.about{
    text-align: center;
}

.subtitle{
    color: var(--color--title);
    font-size: 2rem;
    margin-bottom: 25x;
}

.about__paragraph{
    line-height: 1.7;
}

.about__main{
    padding-top: 80px;
    display: grid;
    width: 90%;
    margin: 0 auto;
    gap: 1em;
    overflow: hidden;
    grid-template-columns:  repeat(auto-fit, minmax(260px, auto));
}

.about__icons{
    display: grid;
    gap: 1em;
    justify-items: center;
    width: 260px;
    overflow: hidden;
    margin: 0 auto;

}

.about__icons{
    width: 300px;
}

/*knowledge*/


.knowledge {
    background-color: #e5e5f7;
    background-image:  radial-gradient(#444cf7 0.5px, transparent 0.5px), radial-gradient(#444cf7 0.5px, #e5e5f7 0.5px);
    background-size: 20px 20px;
    background-position: 0 0,10px 10px;
    overflow: hidden;
}

.knowledge__container{
     display:  grid;
     grid-template-columns: 1fr 1fr;
     gap: 1em;
     align-items: center;
}    

.knowledge__picture{
    max-width: 500px;
}

.knowledge__paragraph{
    line-height: 1.7;
    margin-bottom: 15px;
}

.knowledge__img{
    width: 100%;
    display: block;
}

/*price precios*/

.price{
    text-align: center;
}

.price__table{
  padding-top: 60px;
  display: flex;
  flex-wrap: wrap; 
  gap: 2.5em;
  justify-content: space-evenly;
  align-items: center;
}

.price__element{
    background-color: #e5e5f7;
    text-align: center;
    border-radius: 10px;
    width: 330px;
    padding: 40px;
    --color--plan: #696871;
    --color--price: #1d293f;
    --bg--cta: #fff;
    --color-cta: #5454d4;
    --color-items: #696871;
}

.price__element--best{
    width: 370px;
    padding: 60px 40px;
    background-color: #ff7143;
    --color--plan: #rgb(255 255 255 / 75%);
    --color--price: #fff;
    --bg--cta: #9f3919;
    --color-cta: #fff;
    --color-items: #fff;
}





.price__name{
    color: var(--color--plan);
    margin-bottom: 15px;
    font-weight: 300;
}

.price__price{
    font-size: 2.5rem; 
    color: var(--color--price);

}

.price__items{
    margin-top: 35px;
    display: grid;
    gap: 1em;
    font-weight: 300;
    font-size: 1.2rem;
    margin-bottom: 50px;
    color:(--color-items);
}

.price__cta{
    display: block;
    padding: 20px 0;
    border-radius: 10px;
    text-decoration: none;
    background-color: var(--bg--cta);
    font-weight: 600;
    color: var(--color-cta);
    box-shadow: 0 0 1px rgba(0,0,0.5);
}


/*testimony*/


.testimony{
    background-color: #e5e5f7;
}

.testimony__container{
    display: grid;
    grid-template-columns:  50px 1fr 50p;
    gap: 1em;
    align-items: center;
}


.testimony__body{
    display: grid;
    grid-template-columns:  1fr max-content;
    justify-content:  space-between;
    align-items: center;
    gap: 2em;
    grid-column: 2/3;
    grid-row: 1/2;
    opacity: 0;
    pointer-events: none;
}

.testimony__body--show{

    pointer-events: unset;
    opacity: 1;
    transition: opacity 1.5s ease-in-out;
}

.testimony__img{
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
    object-position:  50% 30%;
}

.testimony__text{
    max-width: 700px;
}

.testimony__course{
    background-color:  royalblue;
    color: #fff;
    display: inline-block;
    padding: 5px;
}

.testimony__arrow{
    width: 90%;
    cursor: pointer;

}

/*questions*/

.questions{
    text-align: center;
}

.questions__container{
    display: grid;
    gap: 2em;
    padding-top: 50px;
    padding-bottom: 100px;
    
}

.questions__padding{
    padding: 0;
    transition: padding .2s;
    border: 1px solid #5454d4;
    border-radius: 6px;
}

.questions__padding--add{
    padding-bottom: 30px;
}

.questions__answer{
    padding: 0 30px 0;
    overflow: hidden;
}

.questions__title{
    display: flex;
    font-size: 20px;
    padding: 30px 0 30px;
    cursor: pointer;
    color: var(--color--title);
    justify-content: space-between;
} 


.questions__arrow{
 border-radius: 50%;
 background-color: var(--color--title);
 width: 25px;
 height: 25px;
 display: flex;
 justify-content: center;
 align-items: center;
align-self: flex-end;
margin-left: 10px;
transition: transform .3s;
}


.questions__arrow--rotate{
    transform: rotate(180deg);
}

.questions__show{

    text-align: left;
    height: 0;
}

.questions__img{
    display: block;
}







/*footer*/

.footer{
    background-color: #1d293f;

}

.footer__title{
    font-weight: 300;
    font-size: 2rem;
    margin-bottom: 30px;
}

.footer__title, .footer__newsletter{
    color: #fff;
}

.footer__container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #fff;
    padding-bottom: 60px;
}

.nav--footer{
    padding-bottom: 20px;
    display: grid;
    gap: 1em;
    grid-auto-flow: row;
    height: 100%;
}

.nav__link--footer{
    display: flex;
    margin:  0;
    margin-right: 20px;
    flex-wrap: wrap;
}

.footer__inputs{
    margin-top: 10px;
    display: flex;
    overflow: hidden;
}

.footer__input{
    background-color: #fff;
    height: 50px;
    display: block;
    padding-left: 10px;
    border-radius: 6px;
    font-size: 1rem;
    outline: none;
    border: none;
    margin-right: 16px;
}

.footer__submit{
    margin-left: auto;
    display: inline-block;
    height: 50px;
    padding: 0 20px;
    background-color: #2091f9;
    border: none;
    font-size: 1rem;
    color: #fff;
    border-radius: 6px;
}

.footer__copy{
    --padding-container: 30px 0;
text-align: center;
color: #fff;

}

.footer__copuringht{
    font-weight: 300;

}

.footer_icons{
    display: inline-flex;
}